Bug 996625 - Groups and categories are not updated at sync time if they changed upstream
Groups and categories are not updated at sync time if they changed upstream
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.2 Beta
Unspecified Unspecified
high Severity unspecified
: ---
: 2.2.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 10:39 EDT by Preethi Thomas
Modified: 2014-03-18 12:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 12:06:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-08-13 10:39:10 EDT
Description of problem:
Once you create a category or package group there is no way to update them. So if you want to add a packagegroup to the category or packages to the group, there is no way unless you remove the the group and recreate them.

Version-Release number of selected component (if applicable):
[root@cloud-qe-9 ~]# rpm -qa pulp-server
pulp-server-2.2.0-0.25.beta.el6.noarch
[root@cloud-qe-9 ~]# 


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Michael Hrivnak 2013-08-14 19:28:14 EDT
https://github.com/pulp/pulp_rpm/pull/305

This fix is for a related but possibly different issue, where groups and categories were not being updated at sync time if they changed upstream.

If this bug report is asking for the ability to modify groups and categories that have been "uploaded" into pulp, that should be a separate request that is likely a new feature request. Did pulp ever support this idea?
Comment 2 Preethi Thomas 2013-08-14 21:16:03 EDT
Pulp did support adding packages/categories to the groups & caterogies that were created in v1.

https://www.pulpproject.org/ug/UGPackageGroups.html#add_package
Comment 3 Sayli Karmarkar 2013-09-18 19:16:40 EDT
Looks like the PR was merged and this should be moved to modified. Moving this to modified, updating bug summary and opening a new bug / RFE to add support of adding packages/categories to the groups & caterogies that were uploaded into pulp.
Comment 4 Sayli Karmarkar 2013-09-18 19:23:19 EDT
Created https://bugzilla.redhat.com/show_bug.cgi?id=1009706 to track RFE as per Comment 1.
Comment 5 Jeff Ortel 2013-10-09 22:41:35 EDT
build: 2.2.1-1
Comment 6 Jeff Ortel 2013-10-10 19:46:42 EDT
build: 2.2.0-2.
Comment 7 Preethi Thomas 2013-10-14 12:51:05 EDT
verified
[root@qe-blade-04 ~]# rpm -qa |grep pulp-server
pulp-server-2.2.0-2.el6.noarch
[root@qe-blade-04 ~]# 


create zoo repo & sync

[root@qe-blade-04 ~]# pulp-admin rpm repo create --repo-id zoo --feed http://pulp-v2-server.usersys.redhat.com/pulp/repos/zoo-copy/
Successfully created repository [zoo]


[root@qe-blade-04 ~]# 
[root@qe-blade-04 ~]# 
[root@qe-blade-04 ~]# pulp-admin rpm repo sync run --repo-id zoo
+----------------------------------------------------------------------+
                     Synchronizing Repository [zoo]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[-]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       32/32 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 32/32 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@qe-blade-04 ~]# 
[root@qe-blade-04 ~]# 
[root@qe-blade-04 ~]# 
[root@qe-blade-04 ~]# pulp-admin rpm repo content group --repo-id zoo
Conditional Package Names: 
Default:                   True
Default Package Names:     
Description:               None
Display Order:             1024
Id:                        birds
Langonly:                  None
Mandatory Package Names:   cockateel, duck, penguin, stork
Name:                      birds
Optional Package Names:    
Repo Id:                   zoo
Translated Description:    
Translated Name:           
User Visible:              True

Conditional Package Names: 
Default:                   True
Default Package Names:     
Description:               None
Display Order:             1024
Id:                        mammals
Langonly:                  None
Mandatory Package Names:   bear, camel, cat, cheetah, chimpanzee, cow, dog,
                           dolphin, elephant, fox, giraffe, gorilla, horse,
                           kangaroo, lion, mouse, squirrel, tiger, walrus,
                           whale, wolf, zebra
Name:                      mammals
Optional Package Names:    
Repo Id:                   zoo
Translated Description:    
Translated Name:           
User Visible:              True



Update the zoo repo package group mammal and remove some packages from required.
Sync again.



[root@qe-blade-04 ~]# pulp-admin rpm repo sync run --repo-id zoo
+----------------------------------------------------------------------+
                     Synchronizing Repository [zoo]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[-]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       0/0 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 0/0 items
... completed

Importing errata...
[\]
... completed

Importing package groups/categories...
[-]
... completed

Publishing packages...
[==================================================] 100%
Packages: 32/32 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@qe-blade-04 ~]# pulp-admin rpm repo content group --repo-id zoo
Conditional Package Names: 
Default:                   True
Default Package Names:     
Description:               None
Display Order:             1024
Id:                        birds
Langonly:                  None
Mandatory Package Names:   cockateel, duck, penguin, stork
Name:                      birds
Optional Package Names:    
Repo Id:                   zoo
Translated Description:    
Translated Name:           
User Visible:              True

Conditional Package Names: 
Default:                   True
Default Package Names:     
Description:               None
Display Order:             1024
Id:                        mammals
Langonly:                  None
Mandatory Package Names:   cheetah, chimpanzee, cow, dog, dolphin, elephant,
                           fox, giraffe, gorilla, horse, kangaroo, lion, mouse,
                           squirrel, tiger, walrus, whale, wolf, zebra
Name:                      mammals
Optional Package Names:    
Repo Id:                   zoo
Translated Description:    
Translated Name:           
User Visible:              True


[root@qe-blade-04 ~]#
Comment 8 Preethi Thomas 2014-03-18 12:06:20 EDT
These were already verified in the corresponding releases that they were fixed in. Moving them to closed current release.

Note You need to log in before you can comment on or make changes to this bug.